visageSDK

Classes | Enumerations | Functions
VisageSDK Namespace Reference

Namespace. More...

## Classes
struct | AnalysisData
| Analysis data structure, used as a container for all face analysis results. More...
struct | FaceData
| Face data structure, used as container for all face tracking and detection results. More...
class | FDP
| Feature points of a face. More...
struct | FeaturePoint
| Feature point. More...
struct | QualityParams
| QualityParams is container structure used to hold a number of parameters related to estimating screen space gaze estimation quality. More...
struct | ScreenSpaceGazeData
| ScreenSpaceGazeData is a container structure used to hold the gaze point location, current state of screen space gaze tracking system and gaze tracking estimation quality parameters for the current frame. More...
class | ScreenSpaceGazeRepository
| Data repository holding ScreenSpaceGazeData objects in offline screen space gaze tracking mode. More...
class | VisageConfiguration
| VisageConfiguration is a class used to change, apply, load and save configuration parameters used by VisageTracker. More...
class | VisageFaceAnalyser
| VisageFaceAnalyser contains face analysis algorithms capable of estimating age, gender and emotion from facial images. More...
class | VisageFaceRecognition
| VisageFaceRecognition class contains a face recognition algorithm capable of measuring similarity between human faces and recognizing a person's identity from frontal facial images (yaw angle approximately from -20 to 20 degrees) by comparing face descriptors. More...
class | VisageFeaturesDetector
| Faces and facial features detector implementation. More...
class | VisageGazeTracker
| VisageGazeTracker extends VisageTracker functionality, adding screen space gaze tracking on top of face tracking. More...
class | VisageLivenessAction
| VisageLivenessAction is an abstract class that can be used to implement algorithm which searches for a specific pattern in live video stream in order to verify liveness. More...
class | VisageLivenessBlink
| VisageLivenessBlink is a class that detects whether the person on the live video stream has blinked. More...
class | VisageLivenessBrowRaise
| VisageLivenessBrowRaise is a class that detects whether the person on the live video stream has raised his/hers eyebrows. More...
class | VisageLivenessSmile
| VisageLivenessSmile is a class that detects whether the person on the live video stream has smiled. More...
class | VisageTracker
| VisageTracker is a face tracker capable of tracking the head pose, facial features and gaze for multiple faces in video coming from a video file, camera or other sources. More...

## Enumerations
enum | VFAEmotionIndices { Anger = 0, Disgust = 1, Fear = 2, Happiness = 3, Sadness = 4, Surprise = 5, Neutral = 6 }
| VFAEmotionIndices enumeration facilitates easier access to a specific emotion, particularly when iterating through arrays. More...
enum | VFAFlags { VFA_AGE = 1, VFA_GENDER = 2, VFA_EMOTION = 4 }
| VFAFlags are used to describe whether age, gender and/or emotion data have been loaded succesfully or used to select which face analysis operations will be performed. More...
enum | VFAReturnCode { VFAReturnCode::NoError, VFAReturnCode::InvalidFrame, VFAReturnCode::InvalidFaceData, VFAReturnCode::InvalidLicense, VFAReturnCode::DataUninitialized }
| Enumeration describing potential outcomes of the VisageFaceAnalyser::analyseImage() and VisageFaceAnalyser::analyseStream() methods. More...

## Functions
const VISAGE_DECLSPEC char * | getVisageSDKVersion (void)
| Returns visageSDK version and revision number. More...

## Detailed Description

Namespace.

## Enumeration Type Documentation

## ◆ VFAEmotionIndices

enum VisageSDK::VFAEmotionIndices

VFAEmotionIndices enumeration facilitates easier access to a specific emotion, particularly when iterating through arrays.

Enumerator
Anger | Emotion index 0.
Disgust | Emotion index 1.
Fear | Emotion index 2.
Happiness | Emotion index 3.
Sadness | Emotion index 4.
Surprise | Emotion index 5.
Neutral | Emotion index 6.

Definition at line 56 of file VisageFaceAnalyser.h.

## ◆ VFAFlags

enum VisageSDK::VFAFlags

VFAFlags are used to describe whether age, gender and/or emotion data have been loaded succesfully or used to select which face analysis operations will be performed.

Flags are returned as a bitwise combination in function init() and need to be passed as options by functions analyseImage() and analyseStream().

Enumerator
VFA_AGE | enable age estimation or check whether age data files have been properly initialized
VFA_GENDER | enable gender estimation or check whether gender data files have been properly initialized
VFA_EMOTION | enable emotion estimation or check whether emotion data files have been properly initialized

Definition at line 70 of file VisageFaceAnalyser.h.

## ◆ VFAReturnCode

enum VisageSDK::VFAReturnCode
| strong

Enumeration describing potential outcomes of the VisageFaceAnalyser::analyseImage() and VisageFaceAnalyser::analyseStream() methods.

Enumerator
NoError | the function has executed successfully
InvalidFrame | the image pointer or the related data may be null
InvalidFaceData | the FaceData has not been initialized by a previous tracking or detection operation
InvalidLicense | the license may be missing, invalid file name passed, expired or another related error
DataUninitialized | VisageFaceAnalyser was not properly initialized by a call to Init() method, or required data files were not found on supplied location.

Definition at line 78 of file VisageFaceAnalyser.h.

## Function Documentation

## ◆ getVisageSDKVersion()

const VISAGE_DECLSPEC char * VisageSDK::getVisageSDKVersion | ( | void |  | ) |

Returns visageSDK version and revision number.

Returns
  visageSDK version and revision number as char array